jv.rsrc

## Class PsAuthorInfo_IP

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jv.rsrc.PsAuthorInfo_IP

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ItemListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf

      public final class PsAuthorInfo_IP
      extends PsPanel
      implements java.awt.event.ActionListener, java.awt.event.ItemListener

  Panel with address information for multiple authors.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    15.02.04, 2.10 revised (kp) PsSlotLayout used instead of GuiStackLayout.
    19.03.03, 2.00 revised (kp) Implementation continued.
    26.03.00, 1.20 revised (kp) Enable automatic file generation.
    21.03.00, 1.10 revised (kp) Slight changes because of modified DTD version 0.91.
    05.02.00, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsAuthorInfo_IP()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept()` Store entries of all text fields in parent authorInfo structure.
    `void` | `actionPerformed(java.awt.event.ActionEvent event)` Method forwards action events issued by buttons.
    `int` | `getDialogButtons()` Get information which bottom buttons a dialog should create when showing this info panel.
    `java.awt.Dimension` | `getDialogSize()` Get preferred size, for example, to ensure size of dialog.
    `java.lang.String` | `getDialogTitle()` Get title of dialog.
    `java.lang.String` | `getNotice()` Informational text on the usage of the dialog.
    `void` | `init()` Provides layout and adds internal components.
    `void` | `itemStateChanged(java.awt.event.ItemEvent event)` Change the currently active author.
    `void` | `setParent(PsUpdateIf authorInfo)` Set parent of this panel which receives update events.
    `boolean` | `update(java.lang.Object object)` Update this objects whenever parent or a child has changed, and continue update sequence.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getPreferredSize, getTitle, getTitle, getTitle, hasTitle, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PsAuthorInfo_IP

          public PsAuthorInfo_IP()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsPanel`
      Provides layout and adds internal components.
      Overrides:
        `init` in class `PsPanel`

    - #### getNotice

          public java.lang.String getNotice()

      Informational text on the usage of the dialog. This notice will be displayed if this info panel is shown in a dialog. The text is split at line breaks into individual lines on the dialog.
      Returns:
        string with textual information.

    - #### getDialogTitle

          public java.lang.String getDialogTitle()

      Get title of dialog.

    - #### getDialogSize

          public java.awt.Dimension getDialogSize()

      Get preferred size, for example, to ensure size of dialog.

    - #### getDialogButtons

          public int getDialogButtons()

      Get information which bottom buttons a dialog should create when showing this info panel.

      Subclasses may include superclass preferences by using, for example, `return super.getBottomButtons() | PsDialog.BUTTON_CLOSE;`.

      Returns:
        identifier of the type of preferred buttons.

    - #### setParent

          public void setParent(PsUpdateIf authorInfo)

      Description copied from class: `PsPanel`
      Set parent of this panel which receives update events.

      The method `getFather` allows to retrieve this parent.

      Specified by:
        `setParent` in interface `PsUpdateIf`
      Overrides:
        `setParent` in class `PsPanel`
      Parameters:
        `authorInfo` - parent of this panel
      See Also:
        `PsPanel.getFather()`

    - #### update

          public boolean update(java.lang.Object object)

      Description copied from class: `PsPanel`
      Update this objects whenever parent or a child has changed, and continue update sequence. Method is usually invoked from the parent or children, i.e. inner components.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsPanel`
      Parameters:
        `object` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject`, `PsUpdateIf.getFather()`, `PsUpdateIf.setParent(PsUpdateIf)`

    - #### accept

          public void accept()

      Store entries of all text fields in parent authorInfo structure.

    - #### itemStateChanged

          public void itemStateChanged(java.awt.event.ItemEvent event)

      Change the currently active author.
      Specified by:
        `itemStateChanged` in interface `java.awt.event.ItemListener`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Method forwards action events issued by buttons. Method first calls setUserAction with the appropriate button identifyer and then calls dispose(), hide(), or reset() methods of this dialog.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

"

The software JavaView? is copyright protected. All Rights Reserved.
"